#!/usr/bin/env python

import Image
import os, sys

if len(sys.argv) < 2:
    print "Usage: %s /path/to/your/image.jpg [/paths/to/your/images.jpg]" % sys.argv[0]
    exit(1)
else:
    for inimg in sys.argv[1:]:
        f, e = os.path.splitext(inimg)
        outimg = f + ".png"
        if inimg != outimg:
            try:
                im = Image.open(inimg)
                xsize, ysize = im.size
                im = im.resize((xsize, 100))
                im = im.rotate(180)
                im.save(outimg)
                im.show()
            except IOError:
                print "Error while opening/creating", inimg
